Package virtuoso.jdbc4

## Class VirtuosoRdfBox

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoRdfBox

All Implemented Interfaces:
  `RdfBox`

    public class VirtuosoRdfBox
    extends java.lang.Object
    implements RdfBox

### Field Summary

Fields
`java.lang.Object` `rb_box`
`boolean` `rb_chksum_tail`
`boolean` `rb_id_only`
`boolean` `rb_is_complete`
`boolean` `rb_is_outlined`
`boolean` `rb_is_text_index`
`short` `rb_lang`
`long` `rb_ro_id`
`short` `rb_type`
`static int` `RBS_64`
`static int` `RBS_CHKSUM`
`static int` `RBS_COMPLETE`
`static int` `RBS_EXT_TYPE`
`static int` `RBS_HAS_LANG`
`static int` `RBS_HAS_TYPE`
`static int` `RBS_OUTLINED`
`static int` `RBS_SKIP_DTP`
`static int` `RDF_BOX_DEFAULT_LANG`
`static int` `RDF_BOX_DEFAULT_TYPE`
`static int` `RDF_BOX_GEO_TYPE`

### Constructor Summary

Constructors
`VirtuosoRdfBox​(java.sql.Connection connection, java.lang.Object box, java.lang.String type, java.lang.String lang)`
`VirtuosoRdfBox​(VirtuosoConnection connection, java.lang.Object box, boolean is_complete, boolean id_only, short type, short lang, long ro_id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLang​()`
`short` `getLangKey​(java.lang.String lang)`
`java.lang.String` `getType​()`
`short` `getTypeKey​(java.lang.String type)`
`java.lang.String` `toString​()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### rb_type

    public short rb_type

#### rb_lang

    public short rb_lang

#### rb_is_complete

    public boolean rb_is_complete

#### rb_is_outlined

    public boolean rb_is_outlined

#### rb_chksum_tail

    public boolean rb_chksum_tail

#### rb_is_text_index

    public boolean rb_is_text_index

#### rb_id_only

    public boolean rb_id_only

#### rb_ro_id

    public long rb_ro_id

#### rb_box

    public java.lang.Object rb_box

#### RDF_BOX_DEFAULT_TYPE

    public static final int RDF_BOX_DEFAULT_TYPE

See Also:
  Constant Field Values

#### RDF_BOX_DEFAULT_LANG

    public static final int RDF_BOX_DEFAULT_LANG

See Also:
  Constant Field Values

#### RDF_BOX_GEO_TYPE

    public static final int RDF_BOX_GEO_TYPE

See Also:
  Constant Field Values

#### RBS_OUTLINED

    public static final int RBS_OUTLINED

See Also:
  Constant Field Values

#### RBS_COMPLETE

    public static final int RBS_COMPLETE

See Also:
  Constant Field Values

#### RBS_HAS_LANG

    public static final int RBS_HAS_LANG

See Also:
  Constant Field Values

#### RBS_HAS_TYPE

    public static final int RBS_HAS_TYPE

See Also:
  Constant Field Values

#### RBS_CHKSUM

    public static final int RBS_CHKSUM

See Also:
  Constant Field Values

#### RBS_64

    public static final int RBS_64

See Also:
  Constant Field Values

#### RBS_SKIP_DTP

    public static final int RBS_SKIP_DTP

See Also:
  Constant Field Values

#### RBS_EXT_TYPE

    public static final int RBS_EXT_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### VirtuosoRdfBox

    public VirtuosoRdfBox​(VirtuosoConnection connection,
                          java.lang.Object box,
                          boolean is_complete,
                          boolean id_only,
                          short type,
                          short lang,
                          long ro_id)

#### VirtuosoRdfBox

    public VirtuosoRdfBox​(java.sql.Connection connection,
                          java.lang.Object box,
                          java.lang.String type,
                          java.lang.String lang)

### Method Detail

#### getLangKey

    public short getLangKey​(java.lang.String lang)

Specified by:
  `getLangKey` in interface `RdfBox`

#### getTypeKey

    public short getTypeKey​(java.lang.String type)

Specified by:
  `getTypeKey` in interface `RdfBox`

#### getType

    public java.lang.String getType​()

Specified by:
  `getType` in interface `RdfBox`

#### getLang

    public java.lang.String getLang​()

Specified by:
  `getLang` in interface `RdfBox`

#### toString

    public java.lang.String toString​()

Specified by:
  `toString` in interface `RdfBox`
Overrides:
  `toString` in class `java.lang.Object`